/***************************************************************************
                          auxwindow.h  -  description
                             -------------------
    begin                : Thu Aug 17 2000
    copyright            : (C) 2000 by Luc Langehegermann
    email                : lx2gt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef AUXWINDOW_H
#define AUXWINDOW_H

#include <kmainwindow.h>
#include <kstatusbar.h>
#include <qtimer.h>
#include "dcddlg.h"
#include "server/server.h"
#include "gttextwidget.h"
#include "kpskmeter.h"

/**
  *@author Luc Langehegermann
  */

class auxWindow : public KMainWindow  {
  Q_OBJECT
public:
	auxWindow(int ch);
	~auxWindow();
	PSK31info rxinfo;
  void reInit();
  int getChannel();
  void start();
  /**  */
  int getFreq();
  void clear();
  GTTextWidget* luc;
  kpskmeter* sMeter;
private:
	QTimer* timer;
	int oldrxfreq;
	int oldafc;
	int oldqpsk;
	int oldimd;
  int channel;
  void initStatusBar();
  dcdDlg* dcdDialog;
private slots: // Private slots
  void slotUpdateStatusBar();
  void slotStatusBarItemToggle (int id);
  /**  */
  bool queryClose();
};

#endif
